<template>
<div class="modal is-active">
  <div @click="close" class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <p class="modal-card-title">Modal title</p>
      <button @click="close" class="delete"></button>
    </header>
    <section class="modal-card-body">
      <slot></slot>
    </section>
    <footer class="modal-card-foot">
      <a @click="save" class="button is-primary">Save changes</a>
      <a @click="close" class="button">Cancel</a>
    </footer>
  </div>
</div>
</template>

<script>
	export default {
		name: 'modal',
		methods: {
			close() {
				this.$emit('close')
			},
			save() {
				this.$emit('save')
			}
		}
	}
</script>